000032075 - Best practices when using SCCM to deploy RSA DLP Endpoint Agent software updates

Document created by RSA Customer Support Employee on Jun 14, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000032075
Applies ToRSA Product Set: DLP
RSA Product/Service Type: Endpoint
RSA Version/Condition: 9.6 SP2
Platform: Windows
O/S Version: 2008 Server R2 x64
IssueThere are various means by which a 3rd-party software deployment tool to figure out if the version on the target is most recent.
If the tool is configured to use a numerical comparison, this behavior could result in the Agent Software most recent version being replaced with an older version of DLP Endpoint.
(Tip: If the 3rd Party tool does a complete uninstall, the agent will send message to the EM stating to change status to decommissioned after the software is updated.)
For Example:
 
Base version of P3 is labeled: 9.6.1203.14
The 9.6 SP2 P3 HF2 is labeled as 9.6.1203.12002

SCCM configured to use numerical comparison and it assumes the base version is newer than the HF.
It will proceed to uninstall the HF version and re-install the base.
ResolutionConfigure the 3rd-party tool to use other means to determine which installed version is newer.
 

Attachments

    Outcomes